@echo off

:: This script validates that the current directory contains all the files it needs.

:: Find the root directory of this script - seems to work fine for UNC paths now as well as mapped SCRIPT_PATHs
set SCRIPT_PATH=%~dp0
ECHO SCRIPT_PATH is %SCRIPT_PATH%

call :check_exists "%SCRIPT_PATH%7za.exe"
call :check_exists "%SCRIPT_PATH%install.bat"
call :check_exists "%SCRIPT_PATH%server.bat"
call :check_exists "%SCRIPT_PATH%install_details.bat"
call :check_exists "%SCRIPT_PATH%recover.bat"
call :check_exists "%SCRIPT_PATH%uninstall.bat"
call :check_exists "%SCRIPT_PATH%PerforceTraining.zip"
call :check_exists "%SCRIPT_PATH%p4.exe"
call :check_exists "%SCRIPT_PATH%p4d.exe"

goto finish

:check_exists
if exist %1 goto :eof
echo "Missing file: " %1
goto :eof

:finish

@endlocal
